package ch.bbw.pr.tresorbackend.controller;

import ch.bbw.pr.tresorbackend.model.RecaptchaRequest;
import ch.bbw.pr.tresorbackend.service.RecaptchaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/api")
@CrossOrigin(origins = "*") // allow from React
public class RecaptchaController {

    @Autowired
    private RecaptchaService recaptchaService;

    @PostMapping("/verify-recaptcha")
    public Map<String, Object> verifyCaptcha(@RequestBody RecaptchaRequest request) {
        boolean success = recaptchaService.verifyToken(request.getRecaptchaToken());
        return Map.of("success", success);
    }
}
